Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.util
Class WindowManager

    java.lang.Object
      |
      +--org.netbeans.jemmy.util.WindowManager

All Implemented Interfaces:
  Outputable, Timeoutable

public class WindowManager
extends java.lang.Object
implements Timeoutable, Outputable

Class allows to make periodical window jobs like error window closing.

Author:
  Alexandre Iline (alexandre.iline@sun.com)
See Also:
  `WindowJob`

Method Summary
`void` | `add(WindowJob job)` Adds job to list.
`static void` | `addJob(WindowJob job)` Adds job to list.
`TestOut` | `getOutput()` Returns print output streams or writers.
`Timeouts` | `getTimeouts()` Return current timeouts.
`void` | `remove(WindowJob job)` Removes job from list.
`static void` | `removeJob(WindowJob job)` Removes job from list.
`void` | `setOutput(TestOut output)` Defines print output streams or writers.
`void` | `setTimeouts(Timeouts timeouts)` Defines current timeouts.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addJob

    public static void addJob(WindowJob job)

  Adds job to list.
  Parameters:
    `job` - a job to perform.

### removeJob

    public static void removeJob(WindowJob job)

  Removes job from list.
  Parameters:
    `job` - a job to remove.

### setTimeouts

    public void setTimeouts(Timeouts timeouts)

  Description copied from interface: `Timeoutable`
  Defines current timeouts.
  Specified by:
    `setTimeouts` in interface `Timeoutable`
  Following copied from interface: `org.netbeans.jemmy.Timeoutable`
  Parameters:
    `t` - A collection of timeout assignments.
  See Also:
    `Timeoutable.getTimeouts()`

### getTimeouts

    public Timeouts getTimeouts()

  Description copied from interface: `Timeoutable`
  Return current timeouts.
  Specified by:
    `getTimeouts` in interface `Timeoutable`
  Following copied from interface: `org.netbeans.jemmy.Timeoutable`
  Returns:
    the collection of current timeout assignments.
  See Also:
    `Timeoutable.setTimeouts(org.netbeans.jemmy.Timeouts)`

### setOutput

    public void setOutput(TestOut output)

  Description copied from interface: `Outputable`
  Defines print output streams or writers.
  Specified by:
    `setOutput` in interface `Outputable`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Parameters:
    `out` - Identify the streams or writers used for print output.
  See Also:
    `Outputable.getOutput()`

### getOutput

    public TestOut getOutput()

  Description copied from interface: `Outputable`
  Returns print output streams or writers.
  Specified by:
    `getOutput` in interface `Outputable`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Returns:
    an object that contains references to objects for printing to output and err streams.
  See Also:
    `Outputable.setOutput(org.netbeans.jemmy.TestOut)`

### add

    public void add(WindowJob job)

  Adds job to list.
  Parameters:
    `job` - a job to perform.

### remove

    public void remove(WindowJob job)

  Removes job from list.
  Parameters:
    `job` - a job to remove.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD